org.deidentifier.arx.aggregates.quality

## Class QualityDomainShareRedaction

- java.lang.Object
- - org.deidentifier.arx.aggregates.quality.QualityDomainShareRedaction

All Implemented Interfaces:
  QualityDomainShare

    public class QualityDomainShareRedaction
    extends java.lang.Object
    implements QualityDomainShare

This class represents a set of domain shares for an attribute. The shares are derived from a functional redaction-based generalization hierarchy

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`QualityDomainShareRedaction(HierarchyBuilderRedactionBased<?> builder)` Creates a new set of domain shares derived from the given functional redaction-based hierarchy.

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getDomainSize()` Returns the domain size
`double` `getShare(java.lang.String value, int level)` Returns the domain share

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QualityDomainShareRedaction

    public QualityDomainShareRedaction(HierarchyBuilderRedactionBased<?> builder)

Creates a new set of domain shares derived from the given functional redaction-based hierarchy.

Parameters:
  `builder` -

### Method Detail

#### getDomainSize

    public double getDomainSize()

Description copied from interface: `QualityDomainShare`
Returns the domain size

Specified by:
  `getDomainSize` in interface `QualityDomainShare`
Returns:

#### getShare

    public double getShare(java.lang.String value,
                           int level)

Description copied from interface: `QualityDomainShare`
Returns the domain share

Specified by:
  `getShare` in interface `QualityDomainShare`
Returns: